io.etcd.jetcd.options

## Enum GetOption.SortTarget

- java.lang.Object
- - java.lang.Enum<GetOption.SortTarget>
  - - io.etcd.jetcd.options.GetOption.SortTarget

All Implemented Interfaces:
  Serializable, Comparable<GetOption.SortTarget>

Enclosing class:
  GetOption

    public static enum GetOption.SortTarget
    extends Enum<GetOption.SortTarget>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREATE`
`KEY`
`MOD`
`VALUE`
`VERSION`

### Method Summary

All Methods Static Methods Concrete Methods
`static GetOption.SortTarget` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GetOption.SortTarget[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### KEY

    public static final GetOption.SortTarget KEY

#### VERSION

    public static final GetOption.SortTarget VERSION

#### CREATE

    public static final GetOption.SortTarget CREATE

#### MOD

    public static final GetOption.SortTarget MOD

#### VALUE

    public static final GetOption.SortTarget VALUE

### Method Detail

#### values

    public static GetOption.SortTarget[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GetOption.SortTarget c : GetOption.SortTarget.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GetOption.SortTarget valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null